cl.cromer.estructuras

## Class Array.Tipos

- java.lang.Object
- - cl.cromer.estructuras.Array.Tipos

Enclosing class:
  Array

    public static final class Array.Tipos
    extends java.lang.Object

Esta clase contiene los arbolTipo de array.

Author:
  Chris Cromer

### Field Summary

Fields
`static int` `ORDENADO` Tipo de array ordenado.
`static int` `SIMPLE` Tipo de array simple.
`private int` `tipo` El tipo que está elegido.

### Constructor Summary

Constructors
Constructor and Description
`Tipos(int tipo)` Inicilizar el tipo.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getTipo()` Devolver el tipo.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SIMPLE

    public static final int SIMPLE

Tipo de array simple.

See Also:
  Constant Field Values

#### ORDENADO

    public static final int ORDENADO

Tipo de array ordenado.

See Also:
  Constant Field Values

#### tipo

    private final int tipo

El tipo que está elegido.

### Constructor Detail

#### Tipos

    public Tipos(int tipo)

Inicilizar el tipo.

Parameters:
  `tipo` - int: Tipo de array, 0 o 1

### Method Detail

#### getTipo

    public int getTipo()

Devolver el tipo.

Returns:
  int: El tipo de array.